package com.iformall.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 *
 */
public enum EnumRemindDateType {
    TODAY(0, "今天"),
    THREE(1, "近三天"),
    WEEK(2, "近一周"),
    MONTH(3, "近一个月"),
	;

	public static EnumRemindDateType getEnum(Integer code) {
		for (EnumRemindDateType value : values()) {
			if (value.getCode().equals(code)) {
				return value;
			}
		}
		return null;
	}

	@EnumValue
	private final Integer code;
	private final String info;

    EnumRemindDateType(Integer code, String info) {
		this.code = code;
		this.info = info;
	}

    @JsonValue
	public Integer getCode() {
		return code;
	}

	public String getInfo() {
		return info;
	}
}
